> ## Documentation Index
> Fetch the complete documentation index at: https://www.fastforex.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Units of Mass

> List the units of mass that metal prices can be quoted in, keyed by unit handle



## OpenAPI

````yaml get /metals/units
openapi: 3.0.3
info:
  title: fastFOREX.io
  version: 2.4.0
  description: Foreign & cryptocurrency exchange rate API
  termsOfService: https://www.fastforex.io/terms-of-sale
  contact:
    email: support@fastforex.io
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.fastforex.io
    description: Production
  - url: https://api.beta.fastforex.io
    description: Beta
security:
  - api_key: []
  - apiKeyHeader: []
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: currency
    description: Physical currencies, rates and conversions
  - name: crypto
    description: Digital currencies, pairs & prices
  - name: fx
    description: Realtime FX trading pairs - instruments, prices and history
  - name: metals
    description: Precious and base metals - instruments, units, purities and prices
  - name: admin
    description: Account admin
  - name: plan-one
    description: Available on The One Plan
  - name: plan-extra
    description: Available on The Extra Plan
  - name: plan-premium
    description: Available on The Premium Plan
externalDocs:
  description: Find out more about fastFOREX.io
  url: https://www.fastforex.io
paths:
  /metals/units:
    get:
      tags:
        - metals
        - plan-premium
      description: >-
        List the units of mass that metal prices can be quoted in, keyed by unit
        handle
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  ms:
                    $ref: '#/components/schemas/ResponseTime'
                  units:
                    type: object
                    minProperties: 1
                    additionalProperties:
                      type: string
                      description: Unit name
              example:
                units:
                  gram: Gram
                  kilogram: Kilogram
                  metric_tonne: Metric Tonne
                  grain: Grain
                  pennyweight: Pennyweight
                  oz_t: Troy Ounce
                  lb_t: Troy Pound
                  oz_av: Ounce (Avoirdupois)
                  lb_av: Pound (Avoirdupois)
                  tael: Tael (Hong Kong)
                  baht: Baht (Thai)
                  tola: Tola
                ms: 34
        '400':
          description: Bad Request
        '401':
          description: Not Authorized
        '403':
          description: Forbidden
        '429':
          description: Rate limit exceeded
components:
  schemas:
    ResponseTime:
      type: number
      format: int32
      description: Server response time in milliseconds
  securitySchemes:
    api_key:
      type: apiKey
      name: api_key
      in: query
    apiKeyHeader:
      type: apiKey
      name: X-API-KEY
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: api_key
    basicAuth:
      type: http
      scheme: basic

````